spomky-labs/oauth2-server-exception-manager

This package is abandoned and no longer maintained. The author suggests using the spomky-labs/oauth2-server-library package instead.

OAuth2 Server Exception Manager library

v5.0.3 2015-05-17 14:23 UTC

This package is not auto-updated.

Last update: 2015-07-23 06:55:57 UTC


README

Scrutinizer Code Quality Code Coverage

Build Status HHVM Status

SensioLabsInsight

Latest Stable Version Total Downloads Latest Unstable Version License

This library provides a basic exception manager for your OAuth2 server. It relies on the OAuth2 Interfaces Project.

The Release Process

The release process is described here.

Prerequisites

This library needs at least PHP 5.4. It has been successfully tested using PHP 5.3 to PHP 5.6, PHP 7 and HHVM

Installation

The preferred way to install this library is to rely on Composer:

   composer require "spomky-labs/oauth2-server-exception-manager" "~5.0"

Extend the library

You can extend all classes to customize the exception manager for example.

Look at Extend classes for more information and examples.

How to use

Your classes are ready to use? Have a look at How to use to use your exception manager with an OAuth2 server.

Contributing

Requests for new features, bug fixed and all other ideas to make this library useful are welcome. Please follow these best practices.

Licence

This library is release under MIT licence.